
package de.ivu.elect.presentation.personenregister.table;

import javax.annotation.Nonnull;

import de.ivu.elect.business.anschrift.entity.AnschriftArt;
import de.ivu.elect.jee.faces.Messages;
import de.ivu.elect.presentation.personenregister.PersonenregisterPersonendatenSearchResultEntry;

public class PersonenregisterPersonendatenSearchResultEntryAnschriftFormattedColumn
    extends
      EntityMitPersonendatenSearchResultEntryAnschriftFormattedColumn<PersonenregisterPersonendatenSearchResultEntry> {

  private static final long serialVersionUID = 1L;

  public PersonenregisterPersonendatenSearchResultEntryAnschriftFormattedColumn(Messages messages) {
    super(messages);
  }

  @Override
  protected Object getValueInternal(@Nonnull PersonenregisterPersonendatenSearchResultEntry entry) {
    if (AnschriftArt.ERREICHBARKEITSANSCHRIFT.equals(entry.getAnschriftArt())) {
      return getMessage("PersonenregisterPersonendatenSearchResultEntryAnschriftFormattedColumn.value.ERREICHBARKEITSANSCHRIFT");
    }

    return super.getValueInternal(entry);
  }
}
